
_uv2_get_8bit:

;uv2_click_example.c,3 :: 		uint8_t uv2_get_8bit(uint8_t reg)
;uv2_click_example.c,5 :: 		uint8_t temp = 0;
;uv2_click_example.c,6 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;uv2_click_example.c,7 :: 		I2C1_Wr(0x20);
	MOVLW       32
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,8 :: 		I2C1_Wr(reg);
	MOVF        FARG_uv2_get_8bit_reg+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,9 :: 		I2C1_Repeated_Start();
	CALL        _I2C1_Repeated_Start+0, 0
;uv2_click_example.c,10 :: 		I2C1_Wr(0x21);
	MOVLW       33
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,11 :: 		temp = I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
;uv2_click_example.c,12 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;uv2_click_example.c,13 :: 		}
L_end_uv2_get_8bit:
	RETURN      0
; end of _uv2_get_8bit

_uv2_get_16bit:

;uv2_click_example.c,15 :: 		uint16_t uv2_get_16bit (uint8_t reg)
;uv2_click_example.c,17 :: 		uint8_t temp[2] = {0};
	CLRF        uv2_get_16bit_temp_L0+0 
	CLRF        uv2_get_16bit_temp_L0+1 
	CLRF        uv2_get_16bit_retval_L0+0 
	CLRF        uv2_get_16bit_retval_L0+1 
;uv2_click_example.c,20 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;uv2_click_example.c,21 :: 		I2C1_Wr(0x20);
	MOVLW       32
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,22 :: 		I2C1_Wr(reg);
	MOVF        FARG_uv2_get_16bit_reg+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,23 :: 		I2C1_Repeated_Start();
	CALL        _I2C1_Repeated_Start+0, 0
;uv2_click_example.c,24 :: 		I2C1_Wr(0x21);
	MOVLW       33
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,25 :: 		temp[0] = I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       uv2_get_16bit_temp_L0+0 
;uv2_click_example.c,26 :: 		temp[1] = I2C1_Rd(0);
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       uv2_get_16bit_temp_L0+1 
;uv2_click_example.c,28 :: 		retval = (uint16_t) temp[0];
	MOVF        uv2_get_16bit_temp_L0+0, 0 
	MOVWF       uv2_get_16bit_retval_L0+0 
	MOVLW       0
	MOVWF       uv2_get_16bit_retval_L0+1 
;uv2_click_example.c,29 :: 		retval |= ((uint16_t) temp[1]) << 8;
	MOVF        R0, 0 
	MOVWF       R3 
	MOVLW       0
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       uv2_get_16bit_retval_L0+0, 1 
	MOVF        R1, 0 
	IORWF       uv2_get_16bit_retval_L0+1, 1 
;uv2_click_example.c,30 :: 		I2C1_Stop();
	CALL        _I2C1_Stop+0, 0
;uv2_click_example.c,32 :: 		return retval;
	MOVF        uv2_get_16bit_retval_L0+0, 0 
	MOVWF       R0 
	MOVF        uv2_get_16bit_retval_L0+1, 0 
	MOVWF       R1 
;uv2_click_example.c,33 :: 		}
L_end_uv2_get_16bit:
	RETURN      0
; end of _uv2_get_16bit

_get_uv_index:

;uv2_click_example.c,35 :: 		float get_uv_index()
;uv2_click_example.c,37 :: 		float UVA = 0.0;
	MOVLW       ?ICSget_uv_index_UVA_L0+0
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(?ICSget_uv_index_UVA_L0+0)
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(?ICSget_uv_index_UVA_L0+0)
	MOVWF       TBLPTRU 
	MOVLW       get_uv_index_UVA_L0+0
	MOVWF       FSR1 
	MOVLW       hi_addr(get_uv_index_UVA_L0+0)
	MOVWF       FSR1H 
	MOVLW       40
	MOVWF       R0 
	MOVLW       1
	MOVWF       R1 
	CALL        ___CC2DW+0, 0
;uv2_click_example.c,53 :: 		UVA = (float) uv2_get_16bit(0x07);
	MOVLW       7
	MOVWF       FARG_uv2_get_16bit_reg+0 
	CALL        _uv2_get_16bit+0, 0
	CALL        _word2double+0, 0
	MOVF        R0, 0 
	MOVWF       get_uv_index_UVA_L0+0 
	MOVF        R1, 0 
	MOVWF       get_uv_index_UVA_L0+1 
	MOVF        R2, 0 
	MOVWF       get_uv_index_UVA_L0+2 
	MOVF        R3, 0 
	MOVWF       get_uv_index_UVA_L0+3 
;uv2_click_example.c,54 :: 		UVD = (float) uv2_get_16bit(0x08);
	MOVLW       8
	MOVWF       FARG_uv2_get_16bit_reg+0 
	CALL        _uv2_get_16bit+0, 0
	CALL        _word2double+0, 0
	MOVF        R0, 0 
	MOVWF       get_uv_index_UVD_L0+0 
	MOVF        R1, 0 
	MOVWF       get_uv_index_UVD_L0+1 
	MOVF        R2, 0 
	MOVWF       get_uv_index_UVD_L0+2 
	MOVF        R3, 0 
	MOVWF       get_uv_index_UVD_L0+3 
;uv2_click_example.c,55 :: 		UVB = (float) uv2_get_16bit(0x09);
	MOVLW       9
	MOVWF       FARG_uv2_get_16bit_reg+0 
	CALL        _uv2_get_16bit+0, 0
	CALL        _word2double+0, 0
	MOVF        R0, 0 
	MOVWF       get_uv_index_UVB_L0+0 
	MOVF        R1, 0 
	MOVWF       get_uv_index_UVB_L0+1 
	MOVF        R2, 0 
	MOVWF       get_uv_index_UVB_L0+2 
	MOVF        R3, 0 
	MOVWF       get_uv_index_UVB_L0+3 
;uv2_click_example.c,56 :: 		UVcomp1 = (float) uv2_get_16bit(0x0A);
	MOVLW       10
	MOVWF       FARG_uv2_get_16bit_reg+0 
	CALL        _uv2_get_16bit+0, 0
	CALL        _word2double+0, 0
	MOVF        R0, 0 
	MOVWF       get_uv_index_UVcomp1_L0+0 
	MOVF        R1, 0 
	MOVWF       get_uv_index_UVcomp1_L0+1 
	MOVF        R2, 0 
	MOVWF       get_uv_index_UVcomp1_L0+2 
	MOVF        R3, 0 
	MOVWF       get_uv_index_UVcomp1_L0+3 
;uv2_click_example.c,57 :: 		UVcomp2 = (float) uv2_get_16bit(0x0B);
	MOVLW       11
	MOVWF       FARG_uv2_get_16bit_reg+0 
	CALL        _uv2_get_16bit+0, 0
	CALL        _word2double+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+4 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+5 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+6 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+7 
	MOVF        get_uv_index_UVD_L0+0, 0 
	MOVWF       R4 
	MOVF        get_uv_index_UVD_L0+1, 0 
	MOVWF       R5 
	MOVF        get_uv_index_UVD_L0+2, 0 
	MOVWF       R6 
	MOVF        get_uv_index_UVD_L0+3, 0 
	MOVWF       R7 
	MOVF        get_uv_index_UVA_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_UVA_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_UVA_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_UVA_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+0 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+1 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+2 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+3 
	MOVF        get_uv_index_UVD_L0+0, 0 
	MOVWF       R4 
	MOVF        get_uv_index_UVD_L0+1, 0 
	MOVWF       R5 
	MOVF        get_uv_index_UVD_L0+2, 0 
	MOVWF       R6 
	MOVF        get_uv_index_UVD_L0+3, 0 
	MOVWF       R7 
	MOVF        get_uv_index_UVcomp1_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_UVcomp1_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_UVcomp1_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_UVcomp1_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+12 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+13 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+14 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+15 
	MOVF        get_uv_index_a_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_a_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_a_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_a_L0+3, 0 
	MOVWF       R3 
	MOVF        FLOC__get_uv_index+12, 0 
	MOVWF       R4 
	MOVF        FLOC__get_uv_index+13, 0 
	MOVWF       R5 
	MOVF        FLOC__get_uv_index+14, 0 
	MOVWF       R6 
	MOVF        FLOC__get_uv_index+15, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
;uv2_click_example.c,63 :: 		UVAcomp = ( UVA - UVD ) - a * ( UVcomp1 - UVD ) - b * ( UVcomp2 - UVD );
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__get_uv_index+0, 0 
	MOVWF       R0 
	MOVF        FLOC__get_uv_index+1, 0 
	MOVWF       R1 
	MOVF        FLOC__get_uv_index+2, 0 
	MOVWF       R2 
	MOVF        FLOC__get_uv_index+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+0 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+1 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+2 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+3 
	MOVF        get_uv_index_UVD_L0+0, 0 
	MOVWF       R4 
	MOVF        get_uv_index_UVD_L0+1, 0 
	MOVWF       R5 
	MOVF        get_uv_index_UVD_L0+2, 0 
	MOVWF       R6 
	MOVF        get_uv_index_UVD_L0+3, 0 
	MOVWF       R7 
	MOVF        FLOC__get_uv_index+4, 0 
	MOVWF       R0 
	MOVF        FLOC__get_uv_index+5, 0 
	MOVWF       R1 
	MOVF        FLOC__get_uv_index+6, 0 
	MOVWF       R2 
	MOVF        FLOC__get_uv_index+7, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+8 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+9 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+10 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+11 
	MOVF        get_uv_index_b_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_b_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_b_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_b_L0+3, 0 
	MOVWF       R3 
	MOVF        FLOC__get_uv_index+8, 0 
	MOVWF       R4 
	MOVF        FLOC__get_uv_index+9, 0 
	MOVWF       R5 
	MOVF        FLOC__get_uv_index+10, 0 
	MOVWF       R6 
	MOVF        FLOC__get_uv_index+11, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__get_uv_index+0, 0 
	MOVWF       R0 
	MOVF        FLOC__get_uv_index+1, 0 
	MOVWF       R1 
	MOVF        FLOC__get_uv_index+2, 0 
	MOVWF       R2 
	MOVF        FLOC__get_uv_index+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+4 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+5 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+6 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+7 
	MOVF        get_uv_index_UVD_L0+0, 0 
	MOVWF       R4 
	MOVF        get_uv_index_UVD_L0+1, 0 
	MOVWF       R5 
	MOVF        get_uv_index_UVD_L0+2, 0 
	MOVWF       R6 
	MOVF        get_uv_index_UVD_L0+3, 0 
	MOVWF       R7 
	MOVF        get_uv_index_UVB_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_UVB_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_UVB_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_UVB_L0+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+0 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+1 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+2 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+3 
	MOVF        get_uv_index_c_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_c_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_c_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_c_L0+3, 0 
	MOVWF       R3 
	MOVF        FLOC__get_uv_index+12, 0 
	MOVWF       R4 
	MOVF        FLOC__get_uv_index+13, 0 
	MOVWF       R5 
	MOVF        FLOC__get_uv_index+14, 0 
	MOVWF       R6 
	MOVF        FLOC__get_uv_index+15, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
;uv2_click_example.c,64 :: 		UVBcomp = ( UVB - UVD ) - c * ( UVcomp1 - UVD ) - d * ( UVcomp2 - UVD );
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__get_uv_index+0, 0 
	MOVWF       R0 
	MOVF        FLOC__get_uv_index+1, 0 
	MOVWF       R1 
	MOVF        FLOC__get_uv_index+2, 0 
	MOVWF       R2 
	MOVF        FLOC__get_uv_index+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+0 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+1 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+2 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+3 
	MOVF        get_uv_index_d_L0+0, 0 
	MOVWF       R0 
	MOVF        get_uv_index_d_L0+1, 0 
	MOVWF       R1 
	MOVF        get_uv_index_d_L0+2, 0 
	MOVWF       R2 
	MOVF        get_uv_index_d_L0+3, 0 
	MOVWF       R3 
	MOVF        FLOC__get_uv_index+8, 0 
	MOVWF       R4 
	MOVF        FLOC__get_uv_index+9, 0 
	MOVWF       R5 
	MOVF        FLOC__get_uv_index+10, 0 
	MOVWF       R6 
	MOVF        FLOC__get_uv_index+11, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       R4 
	MOVF        R1, 0 
	MOVWF       R5 
	MOVF        R2, 0 
	MOVWF       R6 
	MOVF        R3, 0 
	MOVWF       R7 
	MOVF        FLOC__get_uv_index+0, 0 
	MOVWF       R0 
	MOVF        FLOC__get_uv_index+1, 0 
	MOVWF       R1 
	MOVF        FLOC__get_uv_index+2, 0 
	MOVWF       R2 
	MOVF        FLOC__get_uv_index+3, 0 
	MOVWF       R3 
	CALL        _Sub_32x32_FP+0, 0
;uv2_click_example.c,66 :: 		UVI = ( (UVBcomp * UVBresp) + (UVAcomp * UVAresp) ) / 2;
	MOVF        get_uv_index_UVBresp_L0+0, 0 
	MOVWF       R4 
	MOVF        get_uv_index_UVBresp_L0+1, 0 
	MOVWF       R5 
	MOVF        get_uv_index_UVBresp_L0+2, 0 
	MOVWF       R6 
	MOVF        get_uv_index_UVBresp_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__get_uv_index+0 
	MOVF        R1, 0 
	MOVWF       FLOC__get_uv_index+1 
	MOVF        R2, 0 
	MOVWF       FLOC__get_uv_index+2 
	MOVF        R3, 0 
	MOVWF       FLOC__get_uv_index+3 
	MOVF        FLOC__get_uv_index+4, 0 
	MOVWF       R0 
	MOVF        FLOC__get_uv_index+5, 0 
	MOVWF       R1 
	MOVF        FLOC__get_uv_index+6, 0 
	MOVWF       R2 
	MOVF        FLOC__get_uv_index+7, 0 
	MOVWF       R3 
	MOVF        get_uv_index_UVAresp_L0+0, 0 
	MOVWF       R4 
	MOVF        get_uv_index_UVAresp_L0+1, 0 
	MOVWF       R5 
	MOVF        get_uv_index_UVAresp_L0+2, 0 
	MOVWF       R6 
	MOVF        get_uv_index_UVAresp_L0+3, 0 
	MOVWF       R7 
	CALL        _Mul_32x32_FP+0, 0
	MOVF        FLOC__get_uv_index+0, 0 
	MOVWF       R4 
	MOVF        FLOC__get_uv_index+1, 0 
	MOVWF       R5 
	MOVF        FLOC__get_uv_index+2, 0 
	MOVWF       R6 
	MOVF        FLOC__get_uv_index+3, 0 
	MOVWF       R7 
	CALL        _Add_32x32_FP+0, 0
	MOVLW       0
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVLW       128
	MOVWF       R7 
	CALL        _Div_32x32_FP+0, 0
;uv2_click_example.c,68 :: 		return UVI;
;uv2_click_example.c,69 :: 		}
L_end_get_uv_index:
	RETURN      0
; end of _get_uv_index

_InitMCU:

;uv2_click_example.c,71 :: 		void InitMCU()
;uv2_click_example.c,73 :: 		I2C1_Init( 100000 );
	MOVLW       20
	MOVWF       SSP1ADD+0 
	CALL        _I2C1_Init+0, 0
;uv2_click_example.c,74 :: 		Delay_ms(100);
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_InitMCU0:
	DECFSZ      R13, 1, 1
	BRA         L_InitMCU0
	DECFSZ      R12, 1, 1
	BRA         L_InitMCU0
	DECFSZ      R11, 1, 1
	BRA         L_InitMCU0
	NOP
;uv2_click_example.c,75 :: 		}
L_end_InitMCU:
	RETURN      0
; end of _InitMCU

_main:

;uv2_click_example.c,76 :: 		void main()
;uv2_click_example.c,79 :: 		float uvindex = 0.0;
;uv2_click_example.c,81 :: 		uint16_t read16 = 0;
;uv2_click_example.c,84 :: 		ANSELC = 0;
	CLRF        ANSELC+0 
;uv2_click_example.c,86 :: 		Uart1_Init(9600);
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       207
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;uv2_click_example.c,87 :: 		Uart1_Write_Text("Uart initialized \r\n");
	MOVLW       ?lstr1_uv2_click_example+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_uv2_click_example+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;uv2_click_example.c,89 :: 		InitMCU();            // Initialize MCU
	CALL        _InitMCU+0, 0
;uv2_click_example.c,91 :: 		I2C1_Start();
	CALL        _I2C1_Start+0, 0
;uv2_click_example.c,92 :: 		I2C1_Wr(0x20);
	MOVLW       32
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,93 :: 		I2C1_Wr(0x00);
	CLRF        FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,94 :: 		I2C1_Wr(0x00);
	CLRF        FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,95 :: 		I2C1_Wr(0x00);
	CLRF        FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;uv2_click_example.c,96 :: 		I2C1_STop();
	CALL        _I2C1_Stop+0, 0
;uv2_click_example.c,98 :: 		Uart1_Write_Text("Write passed");
	MOVLW       ?lstr2_uv2_click_example+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_uv2_click_example+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;uv2_click_example.c,101 :: 		while(1)
L_main1:
;uv2_click_example.c,103 :: 		uvindex = get_uv_index();
	CALL        _get_uv_index+0, 0
;uv2_click_example.c,104 :: 		floattostr(uvindex, txt);
	MOVF        R0, 0 
	MOVWF       FARG_FloatToStr_fnum+0 
	MOVF        R1, 0 
	MOVWF       FARG_FloatToStr_fnum+1 
	MOVF        R2, 0 
	MOVWF       FARG_FloatToStr_fnum+2 
	MOVF        R3, 0 
	MOVWF       FARG_FloatToStr_fnum+3 
	MOVLW       main_txt_L0+0
	MOVWF       FARG_FloatToStr_str+0 
	MOVLW       hi_addr(main_txt_L0+0)
	MOVWF       FARG_FloatToStr_str+1 
	CALL        _FloatToStr+0, 0
;uv2_click_example.c,106 :: 		Uart1_Write_Text(txt);
	MOVLW       main_txt_L0+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(main_txt_L0+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;uv2_click_example.c,107 :: 		Uart1_Write_Text("\r\n");
	MOVLW       ?lstr3_uv2_click_example+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_uv2_click_example+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;uv2_click_example.c,109 :: 		delay_ms(500);
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L_main3:
	DECFSZ      R13, 1, 1
	BRA         L_main3
	DECFSZ      R12, 1, 1
	BRA         L_main3
	DECFSZ      R11, 1, 1
	BRA         L_main3
	NOP
	NOP
;uv2_click_example.c,110 :: 		}
	GOTO        L_main1
;uv2_click_example.c,112 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
